Bug 1300379 - Please include firewalld service file for munin-node in RPM package
Please include firewalld service file for munin-node in RPM package
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
epel7
All Linux
unspecified Severity low
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 10:45 EST by Knut Ingvald Dietzel
Modified: 2016-04-03 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: munin-2.0.25-11.fc24 munin-2.0.25-11.fc23 munin-2.0.25-11.fc22 munin-2.0.25-11.el7 munin-2.0.25-11.el6 munin-2.0.25-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:05:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Draft munin-node service XML file for firewalld. (371 bytes, application/xml)
2016-01-20 10:45 EST, Knut Ingvald Dietzel
no flags Details

  None (edit)
Description Knut Ingvald Dietzel 2016-01-20 10:45:41 EST
Created attachment 1116680 [details]
Draft munin-node service XML file for firewalld.

Description of problem:
Munin-node Service XML file for firewalld should be part of the
munin-node package.

Version-Release number of selected component (if applicable):
munin-node-2.0.25-2.el7.noarch.rpm

How reproducible:
For each/any install.

Steps to Reproduce:
1. Install munin-node with yum from epel7 repo.
2. No munin-node related XML file in /usr/lib/firewalld/services/.

Actual results:
One has to write one's own XML-file and put it in /etc/firewalld/services/.

Expected results:
A suitable XML file in /usr/lib/firewalld/services/, e.g. munin-node.xml.
Which would facilitate opening for access to munin-node, à la:

    ~# firewall-cmd --zone=public --add-service=munin-node --permanent
    ~# firewall-cmd --reload

Additional info:
Draft XML file attached.

-- 
Best regards,
Knut
Comment 1 d. johnson 2016-01-21 00:50:17 EST
See if this build works OK for you, http://koji.fedoraproject.org/koji/taskinfo?taskID=12629314

(They are unsigned, I just want to confirm that it actually does the right thing)
Comment 2 Knut Ingvald Dietzel 2016-01-21 12:57:03 EST
Thanks for the quick response!

The updated package works as desired on Fedora 23, but not on CentOS
7.2.1511.

The resaon is that it depends on the firewalld-filesystem package which
is not available in CentOS 7.

Initially I thought that,in CentOS, these files were included in the
package for the related daemon one wanted to install, run and open up in
netfilter for. But looking at e.g. FreeRADIUS, for which there is a
service XML file for firewalld, the file is located in the firewalld
package and not in the freeradius package. Which explains the wise spilt
of firewalld into two RPM-packages upstream of CentOS7.

Should one try to get the file into the freeradius package of
RHEL/CentOS 7 or if that is not the right way or feasible, stash it
under /usr/share/doc/munin-node/? I am unsure as firewalld is in el7 and
munin-node in epel7.


-- 
br,
Knut
Comment 3 d. johnson 2016-01-22 00:17:03 EST
Thanks for the feedback.  After asking around, EPEL7 does not include the scripts or the firewalld-filesystem package and using a 'Requires:' tag for firewalld will only add problems.

munin-2.0.25-7 should be in -testing soon.
Comment 4 Fedora Update System 2016-03-11 01:42:41 EST
munin-2.0.25-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 5 Fedora Update System 2016-03-11 01:43:09 EST
munin-2.0.25-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 6 Fedora Update System 2016-03-11 01:43:40 EST
munin-2.0.25-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 7 Fedora Update System 2016-03-11 01:44:10 EST
munin-2.0.25-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 8 Fedora Update System 2016-03-11 01:44:38 EST
munin-2.0.25-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 9 Fedora Update System 2016-03-11 01:45:02 EST
munin-2.0.25-10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 10 Fedora Update System 2016-03-11 14:26:55 EST
munin-2.0.25-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 11 Fedora Update System 2016-03-12 10:48:23 EST
munin-2.0.25-10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 12 Fedora Update System 2016-03-12 10:49:48 EST
munin-2.0.25-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 13 Fedora Update System 2016-03-12 11:53:46 EST
munin-2.0.25-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 14 Fedora Update System 2016-03-12 12:25:34 EST
munin-2.0.25-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 15 Fedora Update System 2016-03-12 15:50:39 EST
munin-2.0.25-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 16 Fedora Update System 2016-03-15 21:39:19 EDT
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 17 Fedora Update System 2016-03-15 21:40:12 EDT
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 18 Fedora Update System 2016-03-15 21:40:53 EDT
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 19 Fedora Update System 2016-03-15 21:41:25 EDT
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 20 Fedora Update System 2016-03-15 21:42:05 EDT
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 21 Fedora Update System 2016-03-15 21:42:37 EDT
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 22 Fedora Update System 2016-03-18 11:00:10 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 23 Fedora Update System 2016-03-18 18:49:59 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 24 Fedora Update System 2016-03-18 18:52:10 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 25 Fedora Update System 2016-03-18 19:56:35 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 26 Fedora Update System 2016-03-18 21:27:16 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 27 Fedora Update System 2016-03-18 22:18:33 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 28 Fedora Update System 2016-03-26 14:04:50 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-03-26 15:49:55 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-03-26 16:20:56 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-04-02 15:25:42 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-04-02 16:34:20 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2016-04-03 15:51:29 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.